import type { Commitment, IRpcApiMethods, Slot, U64UnsafeBeyond2Pow53Minus1 } from '@solana/rpc-types';
type GetBlockHeightApiResponse = U64UnsafeBeyond2Pow53Minus1;
export interface GetBlockHeightApi extends IRpcApiMethods {
    /**
     * Returns the current block height of the node
     */
    getBlockHeight(config?: Readonly<{
        commitment?: Commitment;
        minContextSlot?: Slot;
    }>): GetBlockHeightApiResponse;
}
export {};
//# sourceMappingURL=getBlockHeight.d.ts.map