export type KeyPathWildcard = {
    readonly __brand: unique symbol;
};
export type KeyPath = ReadonlyArray<KeyPathWildcard | number | string | KeyPath>;
export declare const KEYPATH_WILDCARD: KeyPathWildcard;
type NodeVisitor = <TState extends TraversalState>(value: unknown, state: TState) => unknown;
export type TraversalState = Readonly<{
    keyPath: KeyPath;
}>;
export declare function getTreeWalker(visitors: NodeVisitor[]): <TState extends Readonly<{
    keyPath: KeyPath;
}>>(node: unknown, state: TState) => unknown;
export {};
//# sourceMappingURL=tree-traversal.d.ts.map